#pragma once
#include "DialogManager.h"
#include "SMSModel.h"
#include "NoteModel.h"

class CSMSSendDlg;
class CSMSSendWnd;
class SMSDialogManager : public DialogManager
{
public:
	SMSDialogManager(void);
	~SMSDialogManager(void);
	void CreateBuddyLIstSMS(const std::vector<const IGTBuddyUser*>& buddyVector, CWnd* pParent = AfxGetMainWnd());
	void CreateListSMS(const std::vector<CSMSModel::SMSReceiverInfo>& receiverVector, CWnd* pParent = AfxGetMainWnd());
	void CreateMemberListSMS(const NE_MEMBER_DATA_LIST& list,  CWnd* pParent = AfxGetMainWnd());
    void CreateMemberSms(const std::vector<NE_MEMBER_DATA>& memberVector, CWnd* pParent = AfxGetMainWnd());
	void SetViewLanguagePack();
	int RemoveAll();

private:
	virtual void SetReadOnly(BOOL bStatus, CObject* pObject);

	void Create(const std::vector<CSMSModel::SMSReceiverInfo>& receiverVector,  CWnd* pParent = AfxGetMainWnd());
	unsigned int m_nReceiverMaxCount;
};
